#include<fstream>
using namespace std;
int p(long long a)
{
	int ok=1;
	long long i;
	for(i=2;i*i<=a;i++)
	{
		if(a%i==0)
		{
			ok=0;
			break;
		}
	}
	return ok;
}
int main()
{
	ifstream f1("PRIME.INP");
	ofstream f2("PRIME.OUT");
	long long n;
	f1>>n;
	f1.close();
	long long dem=2;
	while(n>0)
	{
		if(p(dem)==1) n--;
		dem++;
	}
	f2<<dem-1;
	f2.close();
	return 0;
}
